MaxFractionalMatchingDefaultTraits< GR > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
MaxFractionalMatchingDefaultTraits< GR > Struct Template Reference

## Detailed Description

### template<typename GR>
struct lemon::MaxFractionalMatchingDefaultTraits< GR >

Default traits class of MaxFractionalMatching class.

Template Parameters

  GR | Graph type.

`#include <lemon/fractional_matching.h>`

## Public Types
typedef GR | Graph
| The type of the graph the algorithm runs on.
typedef Graph::template NodeMap< typename GR::Arc > | MatchingMap
| The type of the map that stores the matching. More...
typedef LinkedElevator< Graph, typename Graph::Node > | Elevator
| The elevator type used by MaxFractionalMatching algorithm. More...

## Static Public Member Functions
static MatchingMap * | createMatchingMap (const Graph &graph)
| Instantiates a MatchingMap. More...
static Elevator * | createElevator (const Graph &graph, int max_level)
| Instantiates an Elevator. More...

## Member Typedef Documentation

typedef Graph::template NodeMap<typename GR::Arc> MatchingMap

The type of the map that stores the matching arcs. It must meet the ReadWriteMap concept.

typedef LinkedElevator<Graph, typename Graph::Node> Elevator

The elevator type used by MaxFractionalMatching algorithm.

See Also
  Elevator
  LinkedElevator

## Member Function Documentation

static MatchingMap* createMatchingMap | ( | const Graph & | graph | ) |
| inlinestatic

This function instantiates a MatchingMap.

Parameters

  graph | The graph for which we would like to define the matching map.

static Elevator* createElevator | ( | const Graph & | graph,
|  | int | max_level
| ) |  |
| inlinestatic

This function instantiates an Elevator.

Parameters

  graph | The graph for which we would like to define the elevator.
  max_level | The maximum level of the elevator.